| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.OpenGL.Config

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Types
Constructors
Methods

Description
OpenGL frame buffer configuration object
Synopsis

data GLConfig
class GObjectClass o => GLConfigClass o
castToGLConfig :: GObjectClass obj => obj -> GLConfig
toGLConfig :: GLConfigClass o => o -> GLConfig

data GLConfigMode

= GLModeRGB
| GLModeRGBA
| GLModeIndex
| GLModeSingle
| GLModeDouble
| GLModeStereo
| GLModeAlpha
| GLModeDepth
| GLModeStencil
| GLModeAccum
| GLModeMultiSample

glConfigNew :: [GLConfigMode] -> IO GLConfig
glConfigNewForScreen :: Screen -> [GLConfigMode] -> IO GLConfig
glConfigGetScreen :: GLConfig -> IO Screen
glConfigGetColormap :: GLConfig -> IO Colormap
glConfigGetDepth :: GLConfig -> IO Int
glConfigGetLayerPlane :: GLConfig -> IO Int
glConfigGetNAuxBuffers :: GLConfig -> IO Int
glConfigGetNSampleBuffers :: GLConfig -> IO Int
glConfigIsRgba :: GLConfig -> IO Bool
glConfigIsDoubleBuffered :: GLConfig -> IO Bool
glConfigIsStereo :: GLConfig -> IO Bool
glConfigHasAlpha :: GLConfig -> IO Bool
glConfigHasDepthBuffer :: GLConfig -> IO Bool
glConfigHasStencilBuffer :: GLConfig -> IO Bool
glConfigHasAccumBuffer :: GLConfig -> IO Bool

Types
data GLConfig

Instances

GObjectClass GLConfig
GLConfigClass GLConfig

class GObjectClass o => GLConfigClass o

Instances

GLConfigClass GLConfig

castToGLConfig :: GObjectClass obj => obj -> GLConfig
toGLConfig :: GLConfigClass o => o -> GLConfig
data GLConfigMode

Constructors

GLModeRGB |
GLModeRGBA |
GLModeIndex |
GLModeSingle |
GLModeDouble |
GLModeStereo |
GLModeAlpha |
GLModeDepth |
GLModeStencil |
GLModeAccum |
GLModeMultiSample |

Instances

Bounded GLConfigMode
Enum GLConfigMode
Eq GLConfigMode
Flags GLConfigMode

Constructors
glConfigNew

:: [GLConfigMode] | `mode` - display mode bit mask.
-> IO GLConfig |
Returns an OpenGL frame buffer configuration that match the specified display mode.

glConfigNewForScreen

:: Screen | `screen` - target screen.
-> [GLConfigMode] | `mode` - display mode.
-> IO GLConfig |
Returns an OpenGL frame buffer configuration that matchs the specified display mode.

Methods
glConfigGetScreen

:: GLConfig |
-> IO Screen | returns the `Screen`.
Gets the `Screen` associated with the `GLConfig`.

glConfigGetColormap

:: GLConfig |
-> IO Colormap | returns the appropriate `Colormap`.
Gets the `Colormap` that is appropriate for the OpenGL frame buffer configuration.

glConfigGetDepth

:: GLConfig |
-> IO Int | returns number of bits per pixel
Gets the color depth of the OpenGL-capable visual.

glConfigGetLayerPlane

:: GLConfig |
-> IO Int | returns layer plane.
Gets the layer plane (level) of the frame buffer. Zero is the default frame buffer. Positive layer planes correspond to frame buffers that overlay the default buffer, and negative layer planes correspond to frame buffers that underlie the default frame buffer.

glConfigGetNAuxBuffers

:: GLConfig |
-> IO Int | returns number of auxiliary color buffers.
Gets the number of auxiliary color buffers.

glConfigGetNSampleBuffers

:: GLConfig |
-> IO Int | returns number of multisample buffers.
Gets the number of multisample buffers.

glConfigIsRgba

:: GLConfig |
-> IO Bool | returns `True` if the configured frame buffer is RGBA mode, `False` otherwise.
Returns whether the configured frame buffer is RGBA mode.

glConfigIsDoubleBuffered

:: GLConfig |
-> IO Bool | returns `True` if the double-buffered visual is supported, `False` otherwise.
Returns whether the configuration supports the double-buffered visual.

glConfigIsStereo

:: GLConfig |
-> IO Bool | returns `True` if the stereo visual is supported, `False` otherwise.
Returns whether the configuration supports the stereo visual.

glConfigHasAlpha

:: GLConfig |
-> IO Bool | returns `True` if the color buffer has alpha bits, `False` otherwise.
Returns whether the configured color buffer has alpha bits.

glConfigHasDepthBuffer

:: GLConfig |
-> IO Bool | returns `True` if the frame buffer has depth buffer, `False` otherwise.
Returns whether the configured frame buffer has depth buffer.

glConfigHasStencilBuffer

:: GLConfig |
-> IO Bool | returns `True` if the frame buffer has stencil buffer, `False` otherwise.
Returns whether the configured frame buffer has stencil buffer.

glConfigHasAccumBuffer

:: GLConfig |
-> IO Bool | returns `True` if the frame buffer has accumulation buffer, `False` otherwise.
Returns whether the configured frame buffer has accumulation buffer.

Produced by Haddock version 2.4.2